PHP ��U
前一頁 |  | 下一頁

# SimpleXMLElement->getNamespaces()

(no version information, might be only in CVS)

SimpleXMLElement->getNamespaces() -- Returns namespaces used in document

## Description

class SimpleXMLElement {
array getNamespaces ( [bool recursive] )
}

Returns namespaces used in document

## Parameters

recursive

  If specified, returns all namespaces used in parent and child nodes. Otherwise, returns only namespaces used in root node.

## Return Values

The getNamespaces method returns an array of namespace names with their associated URIs.

## �d��

範例 1. Get document namespaces in use

`<?php $xml = <<<XML <?xml version="1.0" standalone="yes"?> <people xmlns:p="http://example.org/ns" xmlns:t="http://example.org/test"> <p:person id="1">John Doe</p:person> <p:person id="2">Susie Q. Public</p:person> </people> XML; $sxe = new SimpleXMLElement($xml); $namespaces = $sxe->getNamespaces(TRUE); var_dump($namespaces); ?>`

The above example will output something similar to:

    array(1) {
      ["p"]=>
      string(21) "http://example.org/ns"
    }

## �Ѧ�

SimpleXMLElement->getDocNamespaces()
SimpleXMLElement->registerXPathNamespace()

前一頁 | 內容 | 下一頁
SimpleXMLElement->getName() | 上一層 | SimpleXMLElement->registerXPathNamespace()